#include <iostream>

using namespace std;

int main()
{
    int t, n;
    cin>>t;
    bool p = true;
    int pr[t];

    for(int j=0; j<t; j++)
    {
        cin>>n;
        int a[n];
        int b[n];
        int bri =0;
        int zni =0;
        
        for(int i =0; i<n; i++)
        {
            cin>>a[i];
        }
    
        for(int i = 0; i<n; i++)
        {
            cin>>b[i];
        }
        
        for(int i =0; i<n; i++)
        {
            if(abs(a[i])==abs(b[i]))
            {
                bri++;
            }     
            if(a[i]>=0 && b[i]>=0)
            {
                zni++;
            }else if(a[i]<=0 && b[i]<=0)
            {
                zni++;
            }
            
            
        }
        if(n%2==0){
            if(n==2 && bri==2 && zni%2==0)
            {
                pr[j]==0;
            }else if(zni%2==1)
            {
                pr[j]=0;
            }else if(bri%2==1)
            {
                pr[j]=0;
            }else
            {
                pr[j]=1;    
            }
        }
    }
    
    for(int i=0; i<t; i++)
    {
        if(pr[i]==1)
        {
            cout<<"DA"<<endl;
        }else
        {
            cout<<"NE"<<endl;
        }
    }

    return 0;
}